Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X GET https://api.zinndigital.com/v1/api-keys/{apiKeyId} \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Returns one non-revoked key's metadata (never the secret). RBAC + RLS scoped.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
apiKeyId (path) | Uuid | Sì | The API key's id. |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | Uuid | Sì | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | Sì | — |
prefix | string | Sì | The key's public lookup id (the middle segment of the token). |
scopes | string[] | Sì | The RBAC permission keys this key may exercise. |
sandbox | boolean | Sì | A sandbox (test-mode) key suppresses billing + provisioning (docs/09 §2). |
last_used_at | object | No | When the key last authenticated a request; null if never used. |
revoked_at | object | No | Always null on a listed/fetched key — revoked keys are not returned. |
created_at | string | Sì | — |
Errori che questo endpoint può restituire
401 · 403 · 404 · 429